4. Additional Functions
4.1. SendEmail - Resend a notification mail
POST
https://popbill-test.linkhub.co.kr/Cashbill/{MgtKey}
POST
https://popbill.linkhub.co.kr/Cashbill/{MgtKey}
- This API resends a notification mail that contains the information with the latest status of a cash receipt.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Content-Type | Y | Request body format application/json |
|
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-HTTP-Method-Override | Y | Request method override EMAIL |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y | Document ID |
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| receiver | string | - | Y | Recipient email address |
Request Example
curl --request POST \
--url 'https://{domain}/Cashbill/{MgtKey}' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--header 'X-HTTP-Method-Override: EMAIL' \
--data '{
"receiver": "test@test.com"
}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "이메일 재전송 완료"
}
4.2. AssignMgtKey - Assign a document ID
POST
https://popbill-test.linkhub.co.kr/Cashbill/{ItemKey}
POST
https://popbill.linkhub.co.kr/Cashbill/{ItemKey}
- This API manually assigns a document ID to cash receipt issued in POPBiLL service website.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Content-Type | Y | Request body format application/x-www-form-urlencoded; charset=utf-8 |
|
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemKey | string | 18 | Y |
POPBiLL’s document ID
check the returned value ‘itemKey’ of CashbillInfo via [Search - Search the list of cash receipts] API.
|
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKey | string | 24 | Y |
Document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
Request Example
curl --request POST \
--url 'https://{domain}/Cashbill/{ItemKey}' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/x-www-form-urlencoded; charset=utf-8' \
--data-urlencode 'MgtKey=TEST0001'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message |
Response Example
{
"code": 1,
"message": "할당 완료"
}
